package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.GenericView;
import com.jasamedika.medifirst2000.entities.PapAlergi;
import com.jasamedika.medifirst2000.vo.PapKeluhanTambahanVO;
import com.jasamedika.medifirst2000.vo.GenericViewVO;
import com.jasamedika.medifirst2000.vo.PapAlergiVO;

/**
 * PAPAlergi Service
 * 
 * @author None
 */
public interface GenericViewService<T> extends BaseVoService<GenericView, GenericViewVO, Integer> {
	public List<GenericViewVO> findGenericViewByPrevix(String previx);
	public Map<String, Object> findByNoCmAndTglInput(String previx,String noCm,Date tglInput);
	public Map<String, Object> findByNoCmAnd(String previx, String noCm);
	Map<String, Object> findMedicalRecordByNoCmAndTglInput(String previx, String noCm, Date tglInput);
	public Map<String, Object> findMedicalRecordByTglInput(String previx, Date from , Date until);
	public Map<String, Object> findMedicalRecordByTglInput(String previx, Date from , Date until,String tgl);
	public Map<String, Object> findMedicalRecordByNoRec(String i, String noRec);
	public Integer findByCountAntrian(String i, String noRec);
	public Map<String, Object> findMedicalRecordByNoRecAndTglInput(String i, String noRec,Date tglInput);
	public Map<String, Object> findMedicalRecordByNoRecAndTglInputPasien(String i, String noRec,Date tglInput);
	public Map<String, Object> findMedicalRecordByNoRecAntrianPasienDiPeriksa(String i, String noRec);
	public Map<String, Object> findMedicalRecordByNoRecPasienAntrianPasienDiPeriksa(String i, String noRec);
}
